[pkg] Declare API breaks in packaging
authorRémi Cardona <remi.cardona@logilab.fr>
Mon, 12 Oct 2015 12:19:52 +0200
changeset 786 63458f002f6a
parent 785 76b5258df874
child 787 1e22b3458e87
[pkg] Declare API breaks in packaging
debian/control
python-rql.spec
--- a/debian/control	Wed Sep 09 15:34:30 2015 +0200
+++ b/debian/control	Mon Oct 12 12:19:52 2015 +0200
@@ -27,7 +27,7 @@
  python-logilab-database (>= 1.6.0),
  python-six (>= 1.4.0),
 Breaks:
- cubicweb-common (<= 3.21.0),
+ cubicweb-common (<< 3.22.0),
 Suggests: python-pygments
 Description: relationship query language (RQL) utilities - Python 2
  A library providing the base utilities to handle RQL queries,
--- a/python-rql.spec	Wed Sep 09 15:34:30 2015 +0200
+++ b/python-rql.spec	Mon Oct 12 12:19:52 2015 +0200
@@ -28,6 +28,7 @@
 Requires:       %{python}-logilab-constraint >= 0.5.0
 Requires:       %{python}-six >= 1.4.0
 Requires:       %{python}-setuptools
+Conflicts:      cubicweb < 3.22.0
 
 
 %description